<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Sat Oct 05 11:12:57 CEST 2019 -->
<title>VocabularyBuilder (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-05">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="VocabularyBuilder (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.featureconstruction.vocabulary</a></div>
<h2 title="Class VocabularyBuilder" class="title">Class VocabularyBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>bous.philipp.dblp.datatools.featureconstruction.vocabulary.VocabularyBuilder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">VocabularyBuilder</span>
extends java.lang.Object</pre>
<div class="block">Convenience class holding methods to build vocabularies.
 Uses a <a href="../../tokenization/LuceneStandardTokenizerAdapter.html" title="class in bous.philipp.dblp.datatools.tokenization"><code>LuceneStandardTokenizerAdapter</code></a> for text-tokenization.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">VocabularyBuilder</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#buildAndWriteScoredVocabulariesBalancedWithConfigFile()">buildAndWriteScoredVocabulariesBalancedWithConfigFile</a></span>()</code></th>
<td class="colLast">
<div class="block">Builds a basic Vocabulary based on configuration in a java-properties-file; this version tries to draw a balanced set.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#buildScoredVocabularyBalanced(bous.philipp.dblp.datatools.featureconstruction.vocabulary.VocabularyBuildingProperties)">buildScoredVocabularyBalanced</a></span>&#8203;(bous.philipp.dblp.datatools.featureconstruction.vocabulary.VocabularyBuildingProperties&nbsp;props)</code></th>
<td class="colLast">
<div class="block">Builds a ScoredVocabulary based an an artificially balanced set of
 records from a database and a given configuration in form of
 a <code>VocabularyBuildingProperties</code>-instance.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>VocabularyBuilder</h4>
<pre>public&nbsp;VocabularyBuilder()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="buildAndWriteScoredVocabulariesBalancedWithConfigFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>buildAndWriteScoredVocabulariesBalancedWithConfigFile</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;buildAndWriteScoredVocabulariesBalancedWithConfigFile()</pre>
<div class="block">Builds a basic Vocabulary based on configuration in a java-properties-file; this version tries to draw a balanced set.
 The properties-file should contain following information:
 <ul>
     <li>METHOD_VERSION_ID - expected id of the this methods version (given as final string in the code)</li>
     <li>dbPropertiesFilePath - path properties-file with information about the jdbc database connection (only mysql supported atm)</li>
     <li>recordTableName - name of the record-table to be used</li>
     <li>featureTableName - name of the corresponding feature table</li>
     <li>featureType - feature to be extracted, allowed values are specified through the enum of the same name</li>
     <li>numberOfItemsPerClass - number of items that are attempted to be drawn from each class</li>
     <li>minWordLength - tokens under this length will be discarded</li>
     <li>windowSize - size for window in ngram-creation 1 or lower will just use unigrams</li>
     <li>additiveVocab - true or false; true will add unigrams AND ngrams to the vocab; false will only keep the ngrams</li>
     <li>countWords - may be true or false; true produces bow-vectors where the number of occurrences of a word is counted</li>
     <li>applyLowerCasing - true or false; if true lower-casing is applied to the data from the database before vectorization</li>
     <li>removeBracketContent - true or false; if true brackets and content are removed before vectorization</li>
     <li>removeStopwords - true or false; enables or disables stop-word-removal (english only atm) before vectorization</li>
     <li>applyStemming - true or false; true applies stemming (english only atm) before vectorization</li>
     <li>fileOutputPath - destination of the generated vocabulary-file</li>
     <li>additionalSteps - (optional) allows to specify usage of vocabulary methods by reflection; this has to be done in postfix-notation with separation by ";" for single method-calls; if you use methods based on fisher score make sure to use these last; this will furthermore trigger the output to be sorted by fisher scores</li>
     <li>byRID - (optional) if true, entries will be drawn according to ordering by values in column "random_id" otherwise they will be drawn by column "id"</li>
 </ul></div>
</li>
</ul>
<a id="buildScoredVocabularyBalanced(bous.philipp.dblp.datatools.featureconstruction.vocabulary.VocabularyBuildingProperties)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>buildScoredVocabularyBalanced</h4>
<pre class="methodSignature">public static&nbsp;<a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;buildScoredVocabularyBalanced&#8203;(bous.philipp.dblp.datatools.featureconstruction.vocabulary.VocabularyBuildingProperties&nbsp;props)</pre>
<div class="block">Builds a ScoredVocabulary based an an artificially balanced set of
 records from a database and a given configuration in form of
 a <code>VocabularyBuildingProperties</code>-instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>props</code> - the properties to configure the building process.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the vocabulary</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
